- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
qi::CallableTypeInterface Class Reference

Signature information for both callable types FunctionTypeInterface and MethodType. More...

`#include <anyfunction.hpp>`

## Public Member Functions
| CallableTypeInterface ()
TypeInterface * | resultType ()
const std::vector < TypeInterface * > & | argumentsType ()
qi::Signature | parametersSignature () const
qi::Signature | returnSignature () const

## Protected Attributes
TypeInterface * | _resultType
std::vector< TypeInterface * > | _argumentsType

## Detailed Description

Signature information for both callable types FunctionTypeInterface and MethodType.

Definition at line 74 of file anyfunction.hpp.

## Constructor & Destructor Documentation

qi::CallableTypeInterface::CallableTypeInterface | ( |  | ) |
| inline

Definition at line 15 of file anyfunction.hxx.

## Member Function Documentation

const std::vector< TypeInterface * > & qi::CallableTypeInterface::argumentsType | ( |  | ) |
| inline

Definition at line 25 of file anyfunction.hxx.

qi::Signature qi::CallableTypeInterface::parametersSignature | ( |  | ) | const

TypeInterface * qi::CallableTypeInterface::resultType | ( |  | ) |
| inline

Definition at line 20 of file anyfunction.hxx.

qi::Signature qi::CallableTypeInterface::returnSignature | ( |  | ) | const

## Member Data Documentation

std::vector<TypeInterface*> qi::CallableTypeInterface::_argumentsType
| protected

Definition at line 85 of file anyfunction.hpp.

TypeInterface* qi::CallableTypeInterface::_resultType
| protected

Definition at line 83 of file anyfunction.hpp.

The documentation for this class was generated from the following files:

- /home/opennao/work/release-2.8/sdk/libqi/qi/anyfunction.hpp
- /home/opennao/work/release-2.8/sdk/libqi/qi/type/detail/anyfunction.hxx